FROM python:3.11.9-slim

ENV FLYWHEEL="/flywheel/v0"
WORKDIR ${FLYWHEEL}

# Installing main dependencies
COPY requirements.txt $FLYWHEEL/
RUN pip install --no-cache-dir -r $FLYWHEEL/requirements.txt

COPY ./ $FLYWHEEL/

LABEL org.nrg.commands="[{\"name\": \"dicom-splitter\", \"label\": \"dicom-splitter\", \"description\": \"Runs DICOM Splitter v2.2\", \"version\": \"2.2\", \"schema-version\": \"1.0\", \"image\": \"registry.gitlab.com/flywheel-io/clinical-solutions/xnat-cs-containers/dicom-splitter:2.2\", \"type\": \"docker\", \"command-line\": \"python run.py --input_dir /input #MAX_GEOM_SPLIT# #EXTRACT_LOCALIZER# #GROUP_BY# #DEBUG# #PROJECT# #SESSION_LABEL#\", \"override-entrypoint\": true, \"mounts\": [{\"name\": \"in\", \"writable\": false, \"path\": \"/input\"}], \"environment-variables\": {}, \"ports\": {}, \"inputs\": [{\"name\": \"max_geometric_splits\", \"description\": \"Maximum number of splits to perform by image orientation and/or image position.\", \"type\": \"number\", \"default-value\": \"4\", \"required\": false, \"replacement-key\": \"#MAX_GEOM_SPLIT#\", \"command-line-flag\": \"--max_geometric_splits\", \"command-line-separator\": \" \", \"select-values\": []}, {\"name\": \"extract_localizer\", \"description\": \"Whether or not to extract localizer from input scan. If true and the scan contains embedded localizer images, the embedded images will be saved as their own scan.\", \"type\": \"select-one\", \"default-value\": \"True\", \"required\": false, \"replacement-key\": \"#EXTRACT_LOCALIZER#\", \"command-line-flag\": \"--extract_localizer\", \"command-line-separator\": \" \", \"select-values\": [\"True\", \"False\"]}, {\"name\": \"group_by\", \"description\": \"Comma separated list of dicom tags to split the scan by.\", \"type\": \"string\", \"default-value\": \"SeriesInstanceUID\", \"required\": true, \"replacement-key\": \"#GROUP_BY#\", \"command-line-flag\": \"--group_by\", \"command-line-separator\": \" \", \"select-values\": []}, {\"name\": \"debug\", \"description\": \"Include debug level logs.\", \"type\": \"boolean\", \"default-value\": \"false\", \"required\": false, \"replacement-key\": \"#DEBUG#\", \"true-value\": \"--debug\", \"false-value\": \"\", \"select-values\": []}, {\"name\": \"project\", \"description\": \"XNAT project\", \"type\": \"string\", \"required\": true, \"replacement-key\": \"#PROJECT#\", \"command-line-flag\": \"--project_id\", \"command-line-separator\": \" \", \"select-values\": []}, {\"name\": \"session-label\", \"description\": \"Session Label\", \"type\": \"string\", \"required\": true, \"replacement-key\": \"#SESSION_LABEL#\", \"command-line-flag\": \"--session_label\", \"command-line-separator\": \" \", \"select-values\": []}], \"outputs\": [], \"xnat\": [{\"name\": \"dicom-splitter\", \"label\": \"dicom-splitter-v2.2\", \"description\": \"Run DICOM Splitter v2.2\", \"contexts\": [\"xnat:imageScanData\"], \"external-inputs\": [{\"name\": \"scan\", \"description\": \"Input scan\", \"type\": \"Scan\", \"required\": true, \"provides-files-for-command-mount\": \"in\", \"load-children\": false}], \"derived-inputs\": [{\"name\": \"session\", \"type\": \"Session\", \"required\": true, \"user-settable\": false, \"load-children\": true, \"derived-from-wrapper-input\": \"scan\", \"multiple\": false}, {\"name\": \"session_label\", \"type\": \"string\", \"required\": true, \"provides-value-for-command-input\": \"session-label\", \"load-children\": true, \"derived-from-wrapper-input\": \"session\", \"derived-from-xnat-object-property\": \"label\", \"multiple\": false}, {\"name\": \"project\", \"type\": \"string\", \"required\": true, \"provides-value-for-command-input\": \"project\", \"load-children\": true, \"derived-from-wrapper-input\": \"session\", \"derived-from-xnat-object-property\": \"project-id\", \"multiple\": false}], \"output-handlers\": []}], \"reserve-memory\": 500, \"container-labels\": {}, \"generic-resources\": {}, \"ulimits\": {}, \"secrets\": []}]"